// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_web

import (
	context "context"
	order "gitlab.com/adhocguru/fcp/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// DealServiceClient is the client API for DealService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type DealServiceClient interface {
	ListDealProcess(ctx context.Context, in *order.ListDealProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealProcessType(ctx context.Context, in *order.ListDealProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealDeliveryCondition(ctx context.Context, in *order.ListDealDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealPaymentCondition(ctx context.Context, in *order.ListDealPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealCategory(ctx context.Context, in *order.ListDealCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealBrand(ctx context.Context, in *order.ListDealBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealProduct(ctx context.Context, in *order.ListDealProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealQuantityType(ctx context.Context, in *order.ListDealQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListDealNames(ctx context.Context, in *order.ListDealNamesRequest, opts ...grpc.CallOption) (*order.ListDealNamesResponse, error)
	GetDeal(ctx context.Context, in *order.GetDealRequest, opts ...grpc.CallOption) (*order.GetDealResponse, error)
	ListDeal(ctx context.Context, in *order.ListDealRequest, opts ...grpc.CallOption) (*order.ListDealResponse, error)
	GetDealFile(ctx context.Context, in *order.GetDealFileRequest, opts ...grpc.CallOption) (*order.GetDealFileResponse, error)
	ListDealFile(ctx context.Context, in *order.ListDealFileRequest, opts ...grpc.CallOption) (*order.ListDealFileResponse, error)
	AddDealFile(ctx context.Context, in *order.AddDealFileRequest, opts ...grpc.CallOption) (*order.AddDealFileResponse, error)
	DeleteDealFile(ctx context.Context, in *order.DeleteDealFileRequest, opts ...grpc.CallOption) (*order.DeleteDealFileResponse, error)
	GetDealContact(ctx context.Context, in *order.GetDealContactRequest, opts ...grpc.CallOption) (*order.GetDealContactResponse, error)
	ListDealContact(ctx context.Context, in *order.ListDealContactRequest, opts ...grpc.CallOption) (*order.ListDealContactResponse, error)
}

type dealServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewDealServiceClient(cc grpc.ClientConnInterface) DealServiceClient {
	return &dealServiceClient{cc}
}

func (c *dealServiceClient) ListDealProcess(ctx context.Context, in *order.ListDealProcessRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealProcess", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealProcessType(ctx context.Context, in *order.ListDealProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealDeliveryCondition(ctx context.Context, in *order.ListDealDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealPaymentCondition(ctx context.Context, in *order.ListDealPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealPaymentCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealCategory(ctx context.Context, in *order.ListDealCategoryRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealCategory", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealBrand(ctx context.Context, in *order.ListDealBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealProduct(ctx context.Context, in *order.ListDealProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealQuantityType(ctx context.Context, in *order.ListDealQuantityTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealQuantityType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealNames(ctx context.Context, in *order.ListDealNamesRequest, opts ...grpc.CallOption) (*order.ListDealNamesResponse, error) {
	out := new(order.ListDealNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) GetDeal(ctx context.Context, in *order.GetDealRequest, opts ...grpc.CallOption) (*order.GetDealResponse, error) {
	out := new(order.GetDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/GetDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDeal(ctx context.Context, in *order.ListDealRequest, opts ...grpc.CallOption) (*order.ListDealResponse, error) {
	out := new(order.ListDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) GetDealFile(ctx context.Context, in *order.GetDealFileRequest, opts ...grpc.CallOption) (*order.GetDealFileResponse, error) {
	out := new(order.GetDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/GetDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealFile(ctx context.Context, in *order.ListDealFileRequest, opts ...grpc.CallOption) (*order.ListDealFileResponse, error) {
	out := new(order.ListDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) AddDealFile(ctx context.Context, in *order.AddDealFileRequest, opts ...grpc.CallOption) (*order.AddDealFileResponse, error) {
	out := new(order.AddDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/AddDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) DeleteDealFile(ctx context.Context, in *order.DeleteDealFileRequest, opts ...grpc.CallOption) (*order.DeleteDealFileResponse, error) {
	out := new(order.DeleteDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/DeleteDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) GetDealContact(ctx context.Context, in *order.GetDealContactRequest, opts ...grpc.CallOption) (*order.GetDealContactResponse, error) {
	out := new(order.GetDealContactResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/GetDealContact", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *dealServiceClient) ListDealContact(ctx context.Context, in *order.ListDealContactRequest, opts ...grpc.CallOption) (*order.ListDealContactResponse, error) {
	out := new(order.ListDealContactResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_web.DealService/ListDealContact", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DealServiceServer is the server API for DealService service.
// All implementations must embed UnimplementedDealServiceServer
// for forward compatibility
type DealServiceServer interface {
	ListDealProcess(context.Context, *order.ListDealProcessRequest) (*order.DictResponse, error)
	ListDealProcessType(context.Context, *order.ListDealProcessTypeRequest) (*order.DictResponse, error)
	ListDealDeliveryCondition(context.Context, *order.ListDealDeliveryConditionRequest) (*order.DictResponse, error)
	ListDealPaymentCondition(context.Context, *order.ListDealPaymentConditionRequest) (*order.DictResponse, error)
	ListDealCategory(context.Context, *order.ListDealCategoryRequest) (*order.DictResponse, error)
	ListDealBrand(context.Context, *order.ListDealBrandRequest) (*order.DictResponse, error)
	ListDealProduct(context.Context, *order.ListDealProductRequest) (*order.DictResponse, error)
	ListDealQuantityType(context.Context, *order.ListDealQuantityTypeRequest) (*order.DictResponse, error)
	ListDealNames(context.Context, *order.ListDealNamesRequest) (*order.ListDealNamesResponse, error)
	GetDeal(context.Context, *order.GetDealRequest) (*order.GetDealResponse, error)
	ListDeal(context.Context, *order.ListDealRequest) (*order.ListDealResponse, error)
	GetDealFile(context.Context, *order.GetDealFileRequest) (*order.GetDealFileResponse, error)
	ListDealFile(context.Context, *order.ListDealFileRequest) (*order.ListDealFileResponse, error)
	AddDealFile(context.Context, *order.AddDealFileRequest) (*order.AddDealFileResponse, error)
	DeleteDealFile(context.Context, *order.DeleteDealFileRequest) (*order.DeleteDealFileResponse, error)
	GetDealContact(context.Context, *order.GetDealContactRequest) (*order.GetDealContactResponse, error)
	ListDealContact(context.Context, *order.ListDealContactRequest) (*order.ListDealContactResponse, error)
	mustEmbedUnimplementedDealServiceServer()
}

// UnimplementedDealServiceServer must be embedded to have forward compatible implementations.
type UnimplementedDealServiceServer struct {
}

func (UnimplementedDealServiceServer) ListDealProcess(context.Context, *order.ListDealProcessRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealProcess not implemented")
}
func (UnimplementedDealServiceServer) ListDealProcessType(context.Context, *order.ListDealProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealProcessType not implemented")
}
func (UnimplementedDealServiceServer) ListDealDeliveryCondition(context.Context, *order.ListDealDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealDeliveryCondition not implemented")
}
func (UnimplementedDealServiceServer) ListDealPaymentCondition(context.Context, *order.ListDealPaymentConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealPaymentCondition not implemented")
}
func (UnimplementedDealServiceServer) ListDealCategory(context.Context, *order.ListDealCategoryRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealCategory not implemented")
}
func (UnimplementedDealServiceServer) ListDealBrand(context.Context, *order.ListDealBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealBrand not implemented")
}
func (UnimplementedDealServiceServer) ListDealProduct(context.Context, *order.ListDealProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealProduct not implemented")
}
func (UnimplementedDealServiceServer) ListDealQuantityType(context.Context, *order.ListDealQuantityTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealQuantityType not implemented")
}
func (UnimplementedDealServiceServer) ListDealNames(context.Context, *order.ListDealNamesRequest) (*order.ListDealNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealNames not implemented")
}
func (UnimplementedDealServiceServer) GetDeal(context.Context, *order.GetDealRequest) (*order.GetDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDeal not implemented")
}
func (UnimplementedDealServiceServer) ListDeal(context.Context, *order.ListDealRequest) (*order.ListDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDeal not implemented")
}
func (UnimplementedDealServiceServer) GetDealFile(context.Context, *order.GetDealFileRequest) (*order.GetDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDealFile not implemented")
}
func (UnimplementedDealServiceServer) ListDealFile(context.Context, *order.ListDealFileRequest) (*order.ListDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealFile not implemented")
}
func (UnimplementedDealServiceServer) AddDealFile(context.Context, *order.AddDealFileRequest) (*order.AddDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddDealFile not implemented")
}
func (UnimplementedDealServiceServer) DeleteDealFile(context.Context, *order.DeleteDealFileRequest) (*order.DeleteDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteDealFile not implemented")
}
func (UnimplementedDealServiceServer) GetDealContact(context.Context, *order.GetDealContactRequest) (*order.GetDealContactResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetDealContact not implemented")
}
func (UnimplementedDealServiceServer) ListDealContact(context.Context, *order.ListDealContactRequest) (*order.ListDealContactResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListDealContact not implemented")
}
func (UnimplementedDealServiceServer) mustEmbedUnimplementedDealServiceServer() {}

// UnsafeDealServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to DealServiceServer will
// result in compilation errors.
type UnsafeDealServiceServer interface {
	mustEmbedUnimplementedDealServiceServer()
}

func RegisterDealServiceServer(s grpc.ServiceRegistrar, srv DealServiceServer) {
	s.RegisterService(&DealService_ServiceDesc, srv)
}

func _DealService_ListDealProcess_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealProcessRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealProcess(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealProcess",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealProcess(ctx, req.(*order.ListDealProcessRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealProcessType(ctx, req.(*order.ListDealProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealDeliveryCondition(ctx, req.(*order.ListDealDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealPaymentCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealPaymentConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealPaymentCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealPaymentCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealPaymentCondition(ctx, req.(*order.ListDealPaymentConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealCategory_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealCategoryRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealCategory(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealCategory",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealCategory(ctx, req.(*order.ListDealCategoryRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealBrand(ctx, req.(*order.ListDealBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealProduct(ctx, req.(*order.ListDealProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealQuantityType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealQuantityTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealQuantityType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealQuantityType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealQuantityType(ctx, req.(*order.ListDealQuantityTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealNames(ctx, req.(*order.ListDealNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_GetDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).GetDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/GetDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).GetDeal(ctx, req.(*order.GetDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDeal(ctx, req.(*order.ListDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_GetDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).GetDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/GetDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).GetDealFile(ctx, req.(*order.GetDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealFile(ctx, req.(*order.ListDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_AddDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.AddDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).AddDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/AddDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).AddDealFile(ctx, req.(*order.AddDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_DeleteDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.DeleteDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).DeleteDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/DeleteDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).DeleteDealFile(ctx, req.(*order.DeleteDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_GetDealContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetDealContactRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).GetDealContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/GetDealContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).GetDealContact(ctx, req.(*order.GetDealContactRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DealService_ListDealContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListDealContactRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DealServiceServer).ListDealContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_web.DealService/ListDealContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DealServiceServer).ListDealContact(ctx, req.(*order.ListDealContactRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// DealService_ServiceDesc is the grpc.ServiceDesc for DealService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var DealService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_web.DealService",
	HandlerType: (*DealServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListDealProcess",
			Handler:    _DealService_ListDealProcess_Handler,
		},
		{
			MethodName: "ListDealProcessType",
			Handler:    _DealService_ListDealProcessType_Handler,
		},
		{
			MethodName: "ListDealDeliveryCondition",
			Handler:    _DealService_ListDealDeliveryCondition_Handler,
		},
		{
			MethodName: "ListDealPaymentCondition",
			Handler:    _DealService_ListDealPaymentCondition_Handler,
		},
		{
			MethodName: "ListDealCategory",
			Handler:    _DealService_ListDealCategory_Handler,
		},
		{
			MethodName: "ListDealBrand",
			Handler:    _DealService_ListDealBrand_Handler,
		},
		{
			MethodName: "ListDealProduct",
			Handler:    _DealService_ListDealProduct_Handler,
		},
		{
			MethodName: "ListDealQuantityType",
			Handler:    _DealService_ListDealQuantityType_Handler,
		},
		{
			MethodName: "ListDealNames",
			Handler:    _DealService_ListDealNames_Handler,
		},
		{
			MethodName: "GetDeal",
			Handler:    _DealService_GetDeal_Handler,
		},
		{
			MethodName: "ListDeal",
			Handler:    _DealService_ListDeal_Handler,
		},
		{
			MethodName: "GetDealFile",
			Handler:    _DealService_GetDealFile_Handler,
		},
		{
			MethodName: "ListDealFile",
			Handler:    _DealService_ListDealFile_Handler,
		},
		{
			MethodName: "AddDealFile",
			Handler:    _DealService_AddDealFile_Handler,
		},
		{
			MethodName: "DeleteDealFile",
			Handler:    _DealService_DeleteDealFile_Handler,
		},
		{
			MethodName: "GetDealContact",
			Handler:    _DealService_GetDealContact_Handler,
		},
		{
			MethodName: "ListDealContact",
			Handler:    _DealService_ListDealContact_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_web/deal_web.proto",
}
